from setuptools import setup

setup(
  name = 'pyTG',
  version='1.0',
  author='Jerome Jansen',
  author_email='jrme.jansen@gmail.com',
  packages=['pyTG'], #, 'pyTG.test'],
  scripts=[
           'scripts/postProcessBetween',
           'scripts/runPyTG_Jansen_1D_fi',
           # 'scripts/runPyTG_Donadoni_1D_fi',
           # 'scripts/runPyTG_Donadoni',
           # 'scripts/runPyTG_Jansen_NoHemo_1D_fi',
           # 'scripts/runPyTG_Jansen_Infla_1D_fi',
           # 'scripts/runPyTG_Jansen_SC_fi',
           # 'scripts/runPyTG_Jansen_2D_fi',
           # 'scripts/runPyTG_Jansen_Infla_2D_fi',
           # 'scripts/runPyTG_Jansen_3D_fi',
           # 'scripts/arrangment_data',
           # 'scripts/generateLayers_2D',
           # 'scripts/generateWallLayers_axi2D',
           # 'scripts/generateWallLayers_3D',
           # 'scripts/runSA',
           # 'scripts/runMorrisSA',
           # 'scripts/postProcessSA',
           ],
        #,'scripts/','scripts/','scripts/'],
  # url='http://pypi.python.org/pypi/PackageName/',
  url='https://gitlab.com/jrme.jansen/pytg/',
  license='LICENSE',
  description='Package permit to simulate arterial tissue growth ODEs DDEs models in various configurations',
  # long_description=open('README.md').read(),
  python_requires='>=3.8.8',
  install_requires=[
      "solve_dde==1.0.1",
      "numpy==1.17.4",
      "scipy==1.6.0",
      "matplotlib==3.1.2",
      "meshio==4.3.8",
      "gmsh==4.8.0",
      "icecream==2.1.0",
      "pyevtk==1.2.0",
        ],
)
